clear all
set maxvar 20000
adopath + "../lib/ado"
set scheme bg_5by8
global optionshealth "ylabel(-2(0.5)2) xlabel(-21(7)21) xmtick(##7) legend(off)"

use "input/csa_sip_event_study_input_data", clear
keep if estimation_sample == 1

* Aggregate Regressions
init_b_se_table, vars(2) regs(5) extra_rows(2)
local i = 1
foreach g in 0 12 9 6 3 {
	
	* Baseline
	reghdfe log_new_cases pre_event_window event_window post post_post log_I_t_`g' [aw=pop], absorb(date) cluster(csacode)
	add_b_se_table, iter(`i') vars("post log_I_t_`g'") add_N("yes") add_N_clust("yes")

	local i = `i' + 1
}
matrix_to_txt, matrix(table) saving("output/csa/table_agg_reg.txt") replace title("<tab:table_agg_reg>")
	
* New Cases Event Studies
global optionshealth "ylabel(-1(0.25)1) xlabel(-14(7)21) xmtick(##7) legend(off)"
foreach g in 0 12 9 6 3 1 {
	eventplot log_new_cases lead* lag* log_I_t_`g' event_window_14 [aw=pop], ///
		absorb(date) treatvar(treatment) eventtime(event_day) ///
		leads(14) lags(21) omit(1) clustervar(csacode) ${optionshealth} ///
		title("") output("output/csa/log_new_cases_absorb_date_`g'")
}

* New Deaths Event Studies
global optionshealth "ylabel(-2(0.25)1) xlabel(-14(7)21) xmtick(##7) legend(off)"
foreach g in 0 12 9 6 3 1 {
	eventplot log_new_deaths lead* lag* log_I_t_`g' event_window_14 [aw=pop], ///
		absorb(date) treatvar(treatment) eventtime(event_day) ///
		leads(14) lags(21) omit(1) clustervar(csacode) ${optionshealth} ///
		title("") output("output/csa/log_new_deaths_absorb_date_`g'")
}



