library(rio)
library(readr)

write_gslab_table <- function(TABLE, output, header){
  write.table(TABLE, file = output, row.names = FALSE, col.names = FALSE, sep = "\t")
  table <- read_file(output) # http://stackoverflow.com/questions/9068397/import-text-file-as-single-character-string
  table <- sprintf("%s\n%s", header, gsub('"', '', table))
  write_file(table, output)
}

make_table_from_output <- function(filename, tag){
	df <- import(filename)
	df <- df[abs(df$event_time) <= 20,]
	write_gslab_table(TABLE   = df, 
					  output = sprintf('output/tables/%s.txt', tag), 
					  header = sprintf('<tab:%s>', tag))
}

make_table_from_output(filename = 'output/csa/log_visits_sip.txt',
					   tag      = 'visits')

make_table_from_output(filename = 'output/csa/log_total_spend_sip.txt',
					   tag      = 'total_spend')

make_table_from_output(filename = 'output/csa/log_count_hours_pos_sip.txt',
					   tag      = 'count_hours')

make_table_from_output(filename = 'output/csa/log_num_transactions_sip.txt',
					   tag      = 'num_transactions')

make_table_from_output(filename = 'output/csa/log_sum_hours_sip.txt',
					   tag      = 'sum_hours')

make_table_from_output(filename = 'output/csa/log_sum_wages_sip.txt',
					   tag      = 'sum_wages')

make_table_from_output(filename = 'output/county/log_visits_sip_cty.txt',
					   tag      = 'visits_cty')

make_table_from_output(filename = 'output/county/log_total_spend_sip_cty.txt',
					   tag      = 'total_spend_cty')

make_table_from_output(filename = 'output/county/log_count_hours_pos_sip_cty.txt',
					   tag      = 'count_hours_cty')

make_table_from_output(filename = 'output/csa/log_visits_open.txt',
					   tag      = 'visits_open')

make_table_from_output(filename = 'output/csa/log_total_spend_open.txt',
					   tag      = 'total_spend_open')

make_table_from_output(filename = 'output/csa/log_count_hours_pos_open.txt',
					   tag      = 'count_hours_open')