library(readr)
main <- function(){
  
  col1 <- convert_to_column(read.csv("output/additive_decomposition.txt", sep = "\t"))
  col2 <- convert_to_column(read.csv("output/additive_decomposition_top_bot_quart.txt", sep = "\t"))
  col3 <- convert_to_column(read.csv("output/additive_decomposition_top_bot_dec.txt", sep = "\t"))
  
  write_gslab_table(cbind(cbind(col1, col2), col3), output = "output/add_decomp_table.txt", header = "<tab:add_decomp_table>")
}

convert_to_column <- function(data){
  data <- t(data)
  data <- data[-5, , drop = F]
  temp <- as.matrix((data[1, 1] - data[-c(1), 1]) / data[1, 1])
  data <- rbind(data[1, ], temp)
}

write_gslab_table <- function(TABLE, output, header){
  write.table(TABLE, file = output, row.names = FALSE, col.names = FALSE, sep = "\t")
  table <- read_file(output) # http://stackoverflow.com/questions/9068397/import-text-file-as-single-character-string
  table <- sprintf("%s\n%s", header, gsub('"', '', table))
  write_file(table, output)
}

main()

