{smcl}
{* *! version 1.1.0  13jul2020}{...}
{viewerjumpto "Syntax" "add_osr2##syntax"}{...}
{viewerjumpto "Description" "add_osr2##description"}{...}
{viewerjumpto "Options" "add_osr2##options"}{...}
{viewerjumpto "Examples" "add_osr2##examples"}{...}
{viewerjumpto "Author" "add_osr2##author"}{...}
{viewerjumpto "Acknowledgements" "add_osr2##acknowledgements"}{...}
{title:Title}

{phang}
{bf:add_osr2} {hline 2} Add Out-of-Sample R-Squared as {it:e(osr2)} to existing estimation results, along with Mean Squared Error {it:e(mse)} and Root Mean Squared Error {it:e(rmse)}


{marker syntax}{...}
{title:Syntax}

{p 8 17 2}
{cmd:add_osr2}
[{cmd:,} {it:options}]

{synoptset 26 tabbed}{...}
{synopthdr}
{synoptline}
{synopt:{opth fold_var(string)}}variable name to use for cross-validation fold identifiers{p_end}
{synopt:{opth folds(#)}}number of cross-validation folds{p_end}
{synopt:{opth rseed(#)}}random seed to use when generating fold_var{p_end}

{synoptline}

{marker description}{...}
{title:Description}

{pstd}
{cmd:add_osr2} is run after a previous estimation command, and adds as {it:e(osr2)} an out-of-sample R-squared estimate produced using cross-validation. Out-of sample values for Mean Squared Error {it:e(mse)} and Root Mean Squared Error {it:e(rose)} are also added. Any options passed to the previous estimation command (e.g., {it:{inconstant}}) will be passed through to the estimation command run on each subset of the data. Weights will also be passed through and will be used for estimation and (R)MSE calculation within a fold, but will be ignored when constructing folds and averaging across folds. (R)MSE values are calculated within a left-out fold, and are then averaged across folds. {it:osr2} is then calculated from this averaged {it:mse} as osr2 = 1 - mse/mse_0, where {it:mse_0} is defined as mean((y_i - y_bar)^2) on the entire estimation sample.

{marker options}{...}
{title:Options}

{dlgtab:Optional}
{phang}
{opth fold_var(string)} specifies the name of the cross-validation fold id variable. If an existing variable of this name exists, it will be used. If the variable does not already exist, it will be created under this name. If this option is not included, a temporary variable will be created for this purpose. Use this option if you want to use an existing variable to specify folds, or if you want to create a fold variable which persists.

{phang}
{opth folds(#)} specifies the number of cross-validation folds, with 50 as the default. Must be an integer. Ignored if an existing variable name is passed to {it:fold_var()}.

{phang}
{opth rseed(#)} sets the random seed used when creating cross-validation folds. Must be non-negative. Ignored if an existing variable name is passed to {it:fold_var()}.

{marker examples}{...}
{title:Examples}

{phang} 
add_osr2, folds(20)

{phang} 
add_osr2, fold_var(existing_var)

{phang} 
add_osr2, fold_var(new_var) folds(50) rseed(1234)

{marker author}{...}
{title:Author}
{phang}
Jacob Conway

{phang}
jcconway@stanford.edu


