
program define nlSIRD
	version 16
	syntax varlist [aw fw iw] if, at(name)
	
	su `varlist'
	* Get variables
	local Y: word 1 of `varlist'
	*foreach v of `varlist' {
	*	if
	*}
	
	* Get parameters
	tempname gam b1 b2 b3 b4
	scalar `gam' =`at'[1, 1]
	*scalar `b1' = `at'[1,2]
	*scalar `b2' = `at'[1,2]
	*scalar `b3' = `at'[1,3]
	*scalar `b4' = `at'[1,4]
	
	* Create I_t
	tempvar _I_t _log_I_t
	gen double `_I_t'  = cases if t == 1 
	
	xtset state_id date
	levelsof t, local(levels)
	foreach x of local levels {
		if `x' != 1 {
			replace `_I_t' = (cases - l_cases) + (1 - `gam') * l.`_I_t'	 if t == `x' 
		}
	}
	gen double `_log_I_t' = log(`_I_t') `if'
	
	tempvar bar_log_I_t _log_I_t_d
	egen double `bar_log_I_t' = mean(`_log_I_t') `if', by(date)
	gen double `_log_I_t_d' = `_log_I_t' - `bar_log_I_t'
	
	* Absorb FE (NOTE: This doesn't account for uncertainty in these FE estimates and so we need to do boostrap SEs rather than default SEs from nl.)
	foreach v in `varlist' {
		tempvar bar_`v' `v'_d
		egen double `bar_`v'' = mean(`v') `if', by(date)
		gen double ``v'_d' = `v' - `bar_`v'' `if'
	}
	
	* Replace Dependent Variable
	*replace `Y' = `bar_Y' + `b1' * pre_event_window_d + `b2' * event_window_d + `b3' * post_d + `b4' * post_post_d + _log_I_t_d `if'
	su `_log_I_t_d'
	su `_I_t'
	su `_log_I_t'
	su `bar_log_I_t'
	su `bar_Y'
	su `bar_log_new_cases'
	su `Y'
	replace `Y' = `bar_log_new_cases' + `_log_I_t_d' `if'
end




