program latex
   syntax, name(str) value(str)
   
   local command = "\newcommand{\\`name'}{`value'}"
   
   file open scalars using "output/scalars.tex", write append
   file write scalars `"`command'"' _n
   file close scalars
end

program latex_integer
   syntax, name(str) value(str)
   
   local value : display %8.0gc `value'
   local value = trim("`value'")
   
   latex, name(`name') value(`value')
end

program latex_precision
   syntax, name(str) value(str) digits(str)
   
   autofmt, input(`value') dec(`digits') strict
   local value = r(output1)
   
   latex, name(`name') value(`value')
end

program latex_rounded
   syntax, name(str) value(str) digits(str)
   
   local value : display %8.`digits'fc `value'
   local value = trim("`value'")
   
   latex, name(`name') value(`value')
end

program latex_round_int
   syntax, name(str) value(str)
   
   local value = round(`value')
   
   latex, name(`name') value(`value')
end